#include <bits/stdc++.h>

using namespace std;

int a[50001];
int b[50001];
int c[50001];
int d[50001];
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    int n, m; cin >> n >> m;
    for(int i=0;i<n;i++){
        cin >> a[i] >> b[i];
    }
    for(int i=0;i<m;i++){
        cin >> c[i] >> d[i];
    }
    int curri =0, currj=0;
    for(int i=0;i<n;i++){
        for(int j=0;j<m;j++){
            if(i!=curri || j!=currj)cout << 0 << ' ';
            else{
                if(b[i]>d[j]){
                    cout << d[j] << ' ';
                    currj++;
                    b[i]-=d[j];
                }
                else if(b[i]<d[j]){
                    cout << b[i] << ' ';
                    curri++;
                    d[j]-=b[i];
                }
                else{
                    cout << d[j] << ' ';
                    curri++;
                    currj++;
                    d[j]=b[i]=0;
                }
            }
        }
        cout << '\n';
    }
    return 0;
}